package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.BisHiddInve;

/**
 * 隐患排查 服务层
 */
public interface IBisHiddInveService {

    /**
     * 查询隐患排查信息
     * @param guid 查询条件
     * @return 隐患排查信息
     */
    BisHiddInve selectBisHiddInveByGuid(String guid);

    /**
     * 查询隐患排查列表
     * @param bisHiddInve 隐患排查查询条件
     * @return 隐患排查集合
     */
    List<BisHiddInve> selectBisHiddInveList(BisHiddInve bisHiddInve);

    /**
     * 新增隐患排查
     * @param bisHiddInve 隐患排查信息
     * @return 影响行数
     */
    int insertBisHiddInve(BisHiddInve bisHiddInve);

    /**
     * 修改隐患排查
     * @param bisHiddInve 隐患排查信息
     * @return 影响行数
     */
    int updateBisHiddInve(BisHiddInve bisHiddInve);

    /**
     * 删除隐患排查
     * @param guid 隐患排查主键
     * @return 影响行数
     */
    int deleteBisHiddInveByGuid(String guid);

    /**
     * 批量删除隐患排查
     * @param guids 隐患排查主键数组
     * @return 影响行数
     */
    int deleteBisHiddInveByGuids(String[] guids);
}
